# Funcionalidad de aggregate con totales de algunas de las variables by.
# Tenemos dos vectores (no listas!) de nombres de variables (que han de pertenecer al dataframe "frame" )
# De unas obtenemos el cruce y los totales (byct) y de las otras solo el cruce (si los totales no tienen sentido o no se desean
# Podemos poner un texto alternativo a los totales
# ejemplo:
# agregat(epa, "FACTOREL", byst="CICLO", byct=c("PROV","SEXO1"), FUN="mean", tot="tot.")
agregat<- function(frame,varnames,byst=NULL, byct=NULL, FUN="sum", tot="TOTAL"){
  if(is.null(byct))     return(aggregate(frame[,varnames], by=as.list(subset(frame,select= byst)),FUN=FUN))
  else{
    nomes=c(byst,byct,varnames)
    acum=NULL
    subconjs <-function(n)  if(n==1) matrix(c(FALSE,TRUE),nrow=2) else rbind(cbind(subconjs(n-1),FALSE),cbind(subconjs(n-1), TRUE))
    matriz=subconjs(length(byct))
    for(comb in 1:nrow(matriz)) {
      agby=c(byst, byct[matriz[comb,]])
      if(length(agby)==0) {
        trozo=data.frame( lapply(frame[,varnames,drop=FALSE], FUN) )
        names(trozo)= varnames
        for(nom in c(byst, byct)) trozo[,nom]= tot         
        trozo=trozo[,nomes]
      }
      else {
        trozo=aggregate(frame[,varnames], by=as.list(subset(frame,select= agby)), FUN=FUN)
        names(trozo)[(length(names(trozo))-length(varnames)+1):length(names(trozo))]=varnames
        faltan=  byct[!matriz[comb,]]
        for(nom in faltan) trozo[,nom]=tot
        trozo=trozo[,nomes]
      }
      acum=rbind(acum,trozo)
    }
    return(acum)
  }
}
