#Sustituta de chek seria: d2a (dataframe to array)
# Se ha de dar un param namesList con la estructura deseada,
# y un data con esas mismas primeras columnas y otras mas que van todas a ser convertidas en arrays
# devuelve un array o una lista de ellos si hay mas de una columna de datos


d2a=function(namesList,data){ 
  n=length(namesList) 
  m=length(data)-n 
  stopifnot(m>0) 
  stopifnot( all( mapply( function(x,y) all(x %in% y), as.list(data[,1:n]), namesList))) 
  stopifnot(anyDuplicated(data[,1:n])==0) 
  tablabase<-expand.grid(namesList) 
  tablabase<-data.frame(tablabase, 1:nrow(tablabase)) 
  names(tablabase)[1:n]=names(data)[1:n] 
  newname=paste0( rep("x",max(nchar(names(tablabase)[1:n]))+1) , collapse="") 
  names(tablabase)[n+1]=newname 
  joined=merge(tablabase,data,by=rev(names(tablabase)[1:n]),all.x=TRUE, sort=FALSE) 
  joined=joined[order(joined[[newname]]),] 
  dims=sapply(namesList, length) 
  datacols=as.list(joined)[-(1:(n+1))] 
  res = lapply(datacols, function(c) array(ifelse(is.na(c),0,c), dim=dims, dimnames=namesList)) 
  names(res)<- names(datacols) 
  if(length(res)==1) res=res[[1]] #Si habia una variable devuelve un array, si son mas una lista de arrays 
  return(res) 
} 
#prueba:
#pobf <- pop.fem[order(as.numeric(pop.fem[, 3]), as.numeric(pop.fem[, 2]), as.numeric(pop.fem[, 1])), 1:ncol(pop.fem)]
#nac1var = d2a(list(unique(pobf[, 1]), unique(pobf[, 2]), unique(pobf[,3])), b.data)
#nac2var=d2a(list(unique(pobf[,1]), unique(pobf[,2]), unique(pobf[,3])), cbind(b.data, b.data[[4]]))



