#######################FUNCIONES AUXILIARES (aunque tambien utiles por si mismas)######
#y=array(1:12,dim=c(3,2,2), dimnames=list(c("a","b","c"),c("f","g"),c("r","s")))
#ysup=array(c(10,15,20,25,30,35,40,45),dim=c(2,2,2), dimnames=list(c("M","N"),c("f","g"),c("r","s")))

##### UN AGREGADOR "GROUP BY" PARA ARRAYS
##### No requiere nombres, asi que rel es aqui simplemente un vector de posiciones,
##### indicando para cada miembro del nivel inferior, cual le corresponde en el superior 
##### Tendra oues la misma longitud del nivel inferior y tomara valores entre 1 y la longitud del nivel superior)
agby = function(arr,pos,rel, FUN) { 
  umr=1:max(rel) 
  res1= sapply( 
    umr, 
    FUN=function(x)apply( 
      bb(arr,pos,which(rel==x),drop1=FALSE), 
      setdiff(1:length(dim(arr)),pos), 
      FUN=FUN), 
    simplify="array") 
  if(!is.array(res1)) { dimen=c(dim(arr)[-pos],max(rel)); res1=array(res1, dim=dimen)} 
  ulda=1: ( length(dim(arr))-1) 
  res=aperm(res1, c( ulda[ulda<pos], length(dim(arr)) , ulda[ulda>=pos]) ) 
  nomes=dimnames(arr); nomes[[pos]]<- umr; dimnames(res)<- nomes 
  res 
} 
# ejemplo:
#b=array(c(31,42), dim=c(1,2), dimnames=list(12, c(1,6)))
#c=agby(b,2,c(1,1),FUN=sum)
#c


##### Better brackets, funcion que filtra solo un eje, y aunque por defecto hace drop
##### en el si la seleccion que hacemos es de un solo miembro,
##### evita perder accidentalmente otras dimensiones 
##### de un solo miembro que pidiese haber

bb=function(arr,pos,select, drop1=TRUE){
  arr =  do.call("[",c( quote(arr), c(rep(TRUE,pos-1),list(select),rep(TRUE,length(dim(arr))-pos)),drop=FALSE))
  if(drop1 && length(select)==1  ) {
    nombs=dimnames(arr)[1:length(dim(arr)) != pos]
    dim(arr)=dim(arr)[1:length(dim(arr)) != pos]
    dimnames(arr)= nombs
  }
  arr
}
#ejemplos:
#bb(y,1,c(T,F,T))
#bb(y,2,"f", drop1=FALSE)
#bb(y,2,"f")
#bb(y,3,c(2,1))


################## FUNCIONES DE CALIBRADO ################## 

# Calibra arrays a los datos de un plano superior
#arr1 array a calibrar
#arr2 array del mismo numero de dimensiones, pero con algunas de longitud 1
# que representan totales a los que la dimension se ha de ajustar
calibdim=function(arr1,arr2){ 
  stopifnot(length(dim(arr1))==length(dim(arr2)), all(dim(arr1)==dim(arr2) | dim(arr2==1))) 
  lda=length(dim(arr1)) 
  ejes=(1:lda)[dim(arr1)==dim(arr2)] 
  if(length(ejes)>0)arr3= apply(arr1, ejes, FUN=sum) else arr3=sum(arr1) 
  dim(arr3)=dim(arr2) 
  arr4=arr2/arr3 
  arr44=arr4 
  for(i in setdiff((1:lda),ejes)) arr44=bb(arr44,i, rep(1,dim(arr1)[i])) 
  arr1*arr44 
} 
# ejemplo de ajuste de una matriz 2*2 a unos totales de filas:
#calibdim(array(1:4,dim=c(2,2)), array(c(5,7), dim=c(2,1)))



##### CALIBRAR DE ARRAYS Mediante una relacion de agregacion dada en un dataframe.
##### La posic es el eje del espacio (o dimension en la que nos ajustemos a datos agregados)
##### Ambos arrays han de llevar names en el eje posic acordes con las columnas 1ª y 2ª de relation
calibrar=function(arr1, arr2,relation, posic=1){
  Esp=dimnames(arr2)[[posic]]
  esp= dimnames(arr1)[[posic]]
  stopifnot(sort(Esp)==sort(unique(relation[[2]])) )
  stopifnot(sort(esp)==sort(unique(relation[[1]])) )
  otrasDim=setdiff(1:length(dim(arr1)), posic)
  stopifnot( dim(arr1)[otrasDim]== dim(arr2)[otrasDim])
  relVector= match(relation[[2]][match(esp,relation[[1]]) ], Esp) 
  arr3 = agby(arr1,pos=posic,rel=relVector, FUN=sum)
  arr4=arr2/arr3
  arr44= bb(arr4,posic,relVector)
  arr1*arr44
  }  
#ejemplo
#relacion=data.frame(espInf=c("b","a","c"),espSup=c("M","N", "N"))
#calibrar(y,ysup,relation=relacion)


calimix<- function(arr1, arr2,relation){ 
  Esp=dimnames(arr2)[[1]] 
  esp= dimnames(arr1)[[1]] 
  stopifnot(sort(Esp)==sort(unique(relation[[2]])) ) 
  stopifnot(sort(esp)==sort(unique(relation[[1]])) ) 
  lda=length(dim(arr1)) 
  ejes=c(1,(2:lda)[dim(arr1)==dim(arr2)] ) 
  arr3= apply(arr1, ejes, FUN=sum) 
  arr3= array(as.vector(arr3), dim=c(dim(arr1)[1],dim(arr2)[2:lda]), 
              dimnames=c(dimnames(arr1)[1],dimnames(arr2)[2:lda])) 
  relVector= match(relation[[2]][match(esp,relation[[1]]) ], Esp) 
  arr3 = agby(arr3,1,rel=relVector, FUN=sum) 
  arr4=arr2/arr3 
  arr44= bb(arr4,1,relVector) 
  for(i in setdiff((2:lda),ejes)) arr44=bb(arr44,i, rep(1,dim(arr1)[i])) 
  arr1*arr44 
} 
