% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/migraciones.R
\encoding{UTF-8}
\name{ExtEm}
\alias{ExtEm}
\title{Funci\enc{ó}{o}n que proyecta las tasas de emigraci\enc{ó}{o}n al exterior}
\usage{
ExtEm(emig.out, nn)
}
\arguments{
\item{emig.out}{data frame que contiene el espacio geográfico, sexo, extremos inferiores de los intervalos de edades, período de tiempo, población y emigrantes al exterior (espacio*sexo*edad*tiempo*poblacion*evento).}

\item{nn}{número de períodos que se van a proyectar.}
}
\value{
e array con las tasas de emigración al exterior para todo el período de proyección (espacio*sexo*edad*tiempo).

iset array con el índice sintético de emigración para todo el período de proyección.

ise array con el índice sintético de emigración por sexo para la media de los períodos utilizados.
}
\description{
Esta función se usa para proyectar las tasas de emigración al exterior del espacio de proyección. En ella se considera que las tasas
se pueden descomponer en el producto de dos factores: la intensidad de la emigración exterior, en términos del Índice
sintético de emigración por sexo, y el calendario por edad y sexo del fenómeno de la emigración.
}
\examples{

nn=15
aux2=merge(emig.out,relation,by.x=names(emig.out)[1],by.y=names(relation)[1],all.x=TRUE)
emig.out.s=aggregate(aux2[,c(5,6)],list(aux2[,7],aux2[,2],aux2[,3],aux2[,4]),sum)
names(emig.out.s)=names(emig.out)
u=ExtEm(emig.out.s,nn)

}
\references{
Instituto Galego de Estatística.
}
\seealso{
\code{\link[demogal]{ExtIn}}, \code{\link[demogal]{IntEm}}.
}
\keyword{demography}

