% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/migraciones.R
\encoding{UTF-8}
\name{ExtEmReg}
\alias{ExtEmReg}
\title{Funci\enc{ó}{o}n que proyecta y regionaliza las tasas de emigraci\enc{ó}{o}n al exterior}
\usage{
ExtEmReg(emig.out, iset, ise, relation, nn)
}
\arguments{
\item{emig.out}{data frame que contiene el espacio, sexo, extremos inferiores de los intervalos de edades, período de tiempo, población y emigrantes al exterior (espacio*sexo*edad*tiempo*poblacion*evento).}

\item{iset}{índice sintético de emigración calculado para el espacio superior y para todo el período de proyección (espacio*sexo*edad*tiempo).}

\item{ise}{índice sintético de emigración medio calculado para el espacio superior y para los últimos n años  (espacio*sexo*edad*tiempo).}

\item{relation}{data frame opcional que contiene las relaciones jerárquicas entre el espacio de la proyección y el espacio superior (primera columna, el espacio de la proyección; segunda columna, el espacio superior al de proyección). Las etiquetas de las filas serán las etiquetas del espacio de proyección.}

\item{nn}{número de períodos que se van a proyectar.}
}
\value{
e array con las tasas de emigración al exterior para todo el período de proyección (espacio*sexo*edad*tiempo)
}
\description{
Esta función se usa para proyectar y regionalizar las tasas de emigración al exterior del espacio de proyección. En ella se considera que las tasas
se pueden descomponer como producto de dos factores: la intensidad de la emigración exterior, en términos del Índice
sintético de emigración por sexo, y el calendario por edad y sexo del fenómeno de la emigración.
}
\examples{

nn=15
aux2=merge(emig.out,relation,by.x=names(emig.out)[1],by.y=names(relation)[1],all.x=TRUE)
emig.outt=aggregate(aux2[,c(5,6)],list(aux2[,7],aux2[,2],aux2[,3],aux2[,4]),sum)
names(emig.outt)=names(emig.out)
u=ExtEm(emig.outt,nn)
iset=u[[2]]
ise=u[[3]]
u=ExtEmReg(emig.out,iset,ise,relation,nn)


}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{ExtIn}}, \code{\link[demogal]{IntEm}}.
}
\keyword{demography}

