% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/migraciones.R
\encoding{UTF-8}
\name{ExtIn}
\alias{ExtIn}
\title{Funci\enc{ó}{o}n que proyecta y regionaliza las inmigraciones procedentes del exterior}
\usage{
ExtIn(inmig.out, relation = NULL, nn, v_inmig = NULL)
}
\arguments{
\item{inmig.out}{data frame que contiene el espacio geográfico, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los inmigrantes procedentes del exterior (espacio*sexo*edad*tiempo*poblacion*evento).}

\item{relation}{data frame opcional que contiene las relaciones jerárquicas entre el espacio de la proyección y el espacio superior (primera columna, el espacio de la proyección; segunda columna, el espacio superior al de proyección). Las etiquetas de las filas serán las etiquetas del espacio de proyección.}

\item{nn}{número de períodos que se van a proyectar.}

\item{v_inmig}{data frame cuya primera columna es el espacio o el espacio superior y la segunda y siguientes, los datos de la inmigracion procedente del exterior para cada uno de los años de la proyección. Si se considera que la inmigración es constante durante todo el período de proyección, es suficiente con introducir una columna.}
}
\value{
tt array con los inmigrantes procedentes del exterior para todo el período de proyección (espacio*sexo*edad*tiempo)
}
\description{
Esta función se usa para proyectar y regionalizar (opcional) el número de inmigrantes procedentes del exterior. En ella se parte de 
la hipótesis de que se considera un número predeterminado de inmigrantes durante el período de proyección para 
el espacio o espacio superior (v_inmig). Si no se introduce el parámetro, toma la media de los que hubo en los últimos n años.
}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{ExtEm}}, \code{\link[demogal]{IntEm}}.
}
\keyword{demography}

