% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/migraciones.R
\encoding{UTF-8}
\name{IntEm}
\alias{IntEm}
\title{Funci\enc{ó}{o}n que proyecta las tasas de emigraci\enc{ó}{o}n interna (entre los espacios de proyecci\enc{ó}{o}n)}
\usage{
IntEm(emig.int, emig.intc, nn)
}
\arguments{
\item{emig.int}{data frame que contiene el espacio de proyección, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los emigrantes interiores (espacio*sexo*edad*tiempo*poblacion*evento).}

\item{emig.intc}{data frame con la suma de los emigrantes interiores del espacio origen h al espacio destino k en los últimos n períodos (espacio origen*sexo*edad*espacio destino)}

\item{nn}{número de períodos que se van a proyectar.}
}
\value{
eic array con las tasas proyectadas de emigración interna por origen y destino (espacio origen*sexo*edad*espacio destino*tiempo)
}
\description{
Esta función proyecta las tasas de emigración interna en todo el período de proyección. En ella se considera que las tasas
se pueden descomponer para cada período t, en el producto de tres factores: la intensidad de la emigración interior por sexo desde el espacio h, en términos del Índice
sintético de emigración de dicho espacio h y sexo,  del calendario por edad, sexo y espacio h del fenómeno de la emigración y de un coeficiente de reparto según
el espacio destino k desde el espacio origen h, según sexo y edad.
}
\examples{

nn=15
u=IntEm(emig.int,emig.intc,nn)

}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{ExtIn}}, \code{\link[demogal]{ExtEm}}.
}
\keyword{demography}

