% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/proxeccion.R
\encoding{UTF-8}
\name{P1}
\alias{P1}
\title{Funci\enc{ó}{o}n que eval\enc{ú}{u}a las expresiones del modelo de proyecci\enc{ó}{o}n multiregional para un instante del per\enc{í}{i}odo proyectivo}
\usage{
P1(r, matriz.tm, t.emig.out, INF, EMi, INi, pob_f, nac)
}
\arguments{
\item{r}{array con los datos de la proporción de población promedio de los últimos n períodos de tiempo anteriores
a la proyección según espacio, sexo y grupo de edad que pasa de un grupo de edad a otro en el período siguiente (espacio*sexo*edad*tiempo).}

\item{matriz.tm}{array con las tasas de mortalidad proyectadas (espacio*sexo*edad) obtenidas de \code{\link[demogal]{PMortality}} o \code{\link[demogal]{PMortalityReg}} .}

\item{t.emig.out}{array con las tasas de emigración al exterior proyectadas (espacio*sexo*edad) obtenidas de \code{\link[demogal]{ExtEm}}.}

\item{INF}{array con los inmigrantes procedentes del exterior proyectados obtenidos de \code{\link[demogal]{ExtIn}} (espacio*sexo*edad).}

\item{EMi}{array con los emigrantes interiores proyectados a partir de las taxas de emigración interior obtenidas de \code{\link[demogal]{IntEm}} (espacio*sexo*edad).}

\item{INi}{array con los inmigrantes interiores proyectados proyectados a partir de las taxas de emigración interior obtenidas de \code{\link[demogal]{IntEm}} (espacio*sexo*edad).}

\item{pob_f}{array con la población del período anterior (espacio*sexo*edad).}

\item{nac}{array con los nacimientos proyectados para el período anterior al que se proyecta (espacio*sexo).}
}
\value{
pr_f array con la población proyectada (espacio*sexo*edad*tiempo)
}
\description{
Esta función evalúa las expresiones del modelo de proyección multirregional para 
el cálculo de la población proyectada en un instante del período proyectivo
}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{PFertility}}, \code{\link[demogal]{PMortality}}.
}
\keyword{demography}

