% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/P_fecundidad.R
\encoding{UTF-8}
\name{PFertility}
\alias{PFertility}
\title{Funci\enc{ó}{o}n que proyecta el \enc{Í}{I}ndice sint\enc{é}{e}tico de fecundidad y las tasas de fecundidad para el espacio geogr\enc{á}{a}fico.}
\usage{
PFertility(b.data, nn)
}
\arguments{
\item{b.data}{data frame que contiene el espacio geográfico, los extremos inferiores de los intervalos de edad de la madre, el período de tiempo, la población femenina y los nacimientos para los últimos n períodos (espacio*edad madre*tiempo*poblacion*evento).}

\item{nn}{número de períodos que se van a proyectar.}
}
\value{
tfr.sup data frame que contiene el espacio de proyección, el período de tiempo de la proyección y el índice sintético de fecundidad.

tf array con las tasas de fecundidad proyectadas (espacio*edad madre*tiempo)
}
\description{
Esta función proyecta el Indice sintético de fecundidad y las tasas de fecundidad para el espacio geográfico. Para la proyección supone una relación log-funcional entre las mismas y el tiempo.
}
\examples{

nn=15
aux2=merge(b.data,relation,by.x=names(b.data)[1],by.y=names(relation)[1],all.x=TRUE)
b.data.prov=aggregate(aux2[,c(4,5)], list(aux2[,6],aux2[,2],aux2[,3]),sum)
names(b.data.prov)=names(b.data)
m=PFertility(b.data.prov,nn)


}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{PFertilityReg}}, \code{\link[demogal]{PMortalityReg}}.
}
\keyword{demography}

