% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/P_fecundidad.R
\encoding{UTF-8}
\name{PFertilityReg}
\alias{PFertilityReg}
\title{Funci\enc{ó}{o}n que proyecta y regionaliza las tasas de fecundidad para el per\enc{í}{i}odo de proyecci\enc{ó}{o}n}
\usage{
PFertilityReg(b.data, tfr.sup = NULL, nn, relation)
}
\arguments{
\item{b.data}{data frame que contiene el espacio de proyección, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los nacimientos para hacer la proyección de las tasas. Se necesitan n períodos de tiempo (espacio*edad*tiempo*poblacion*evento).}

\item{tfr.sup}{data frame que contiene el espacio, el período de tiempo y el Índice sintético de fecundidad proyectado y base del espacio superior para el período necesario para proyectar (espacio*tiempo*indice). Este parámetro se puede facilitar o calcular con la función \code{\link[demogal]{PFertility}}}

\item{nn}{número de períodos de tiempo que se van a proyectar.}

\item{relation}{data frame opcional que contiene las relaciones jerárquicas entre el espacio de la proyección y el espacio superior (primera columna, el espacio de la proyección; segunda columna, el espacio superior al de proyección). Las etiquetas de las filas serán las etiquetas del espacio de proyección.}
}
\value{
F_p array con las tasas de fecundidad proyectadas (espacio*edad de la madre*tiempo)
}
\description{
Esta función se usa para proyectar y regionalizar las tasas de fecundidad para el espacio de proyección, edad y todo el horizonte de proyección. 
Utiliza datos de natalidad de n períodos anteriores al primero de la proyección.
}
\examples{

nn=15
m=PFertilityReg(b.data,tfr.sup=NULL,nn,relation)

}
\references{
Zeng Yi, Wang Zhenglian, Ma Zhongdong e Chen Chunjun. (2000). “A simple method for projecting or estimating alpha and beta: An extension of the Brass Relational Gompertz Fertility Model”, en Population Research and Policy Review 19: 525-549
}
\seealso{
\code{\link[demogal]{PFertility}}, \code{\link[demogal]{PMortality}}.
}
\keyword{demography}

