% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PMortality.r
\encoding{UTF-8}
\name{PMortality}
\alias{PMortality}
\title{Funci\enc{ó}{o}n que proyecta las tasas de mortalidad y los supervivientes de la tabla de mortalidad}
\usage{
PMortality(m.data, nn, reg = "W")
}
\arguments{
\item{m.data}{data frame que contiene el espacio geográfico, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y las defunciones.}

\item{nn}{número de períodos que se van a proyectar.}

\item{reg}{valor alfanumérico de longitud 1 que indica el tipo de espacio bajo el que se aplican los valores de Coale-Demeny. Los valores posibles son W=OESTE, E=ESTE,
N=NORTE y S=SUR. Si no se especifica se toma el valor W que es el que corresponde a España.}
}
\value{
m.p array con las tasas de mortalidad proyectadas (espacio*sexo*edad*tiempo)

lesti data frame que contiene los supervivientes proyectados según el espacio geográfico, el sexo, los extremos inferiores de los intervalos de edad y el periodo de tiempo (espacio*sexo*edad*tiempo*supervivientes)
}
\description{
Esta función proyecta las tasas de mortalidad y los supervivientes de la tabla de mortalidad para los espacios geográficos de proyección por sexo, edad y período de proyección.
}
\examples{

nn=15
m=PMortality(m.data.s,nn,reg="W")
}
\references{
Durbán, M. (2012). Splines con Penalizaciones: Teoría y aplicaciones. Universidad Carlos III de Madrid.
}
\seealso{
\code{\link[demogal]{PMortalityReg}}, \code{\link[demogal]{PFertilityReg}}.
}
\keyword{demography}

