% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PMortalityReg.r
\encoding{UTF-8}
\name{PMortalityReg}
\alias{PMortalityReg}
\title{Funci\enc{ó}{o}n que proyecta y regionaliza las tasas de mortalidad para el per\enc{í}{i}odo de proyecci\enc{ó}{o}n}
\usage{
PMortalityReg(m.data, l.sup, relation, reg = "W")
}
\arguments{
\item{m.data}{data frame que contiene el espacio de proyección, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y las defunciones.}

\item{l.sup}{supervivientes proyectados para el espacio superior. Este parámetro se puede introducir o bien calcular con la función \code{\link[demogal]{PMortality}}.}

\item{relation}{data frame opcional que contiene las relaciones jerárquicas entre el espacio de la proyección y el espacio superior (primera columna, el espacio de la proyección; segunda columna, el espacio superior al de proyección). Las etiquetas de las filas serán las etiquetas del espacio de proyección.}

\item{reg}{valor alfanumérico de longitud 1 que indica el tipo de espacio bajo el que se aplican los valores de Coale-Demeny. Los valores posibles son W=OESTE, E=ESTE,
N=NORTE y S=SUR. Si no se especifica, se toma el valor W que es el que corresponde a España.}
}
\value{
m.p array con las tasas de mortalidad proyectadas (espacio*sexo*edad*tiempo)
}
\description{
Esta función proyecta y regionaliza las tasas de mortalidad para el espacio de proyección, sexo, edad y todo el período de proyección. 
Para ello, utiliza datos de mortalidad de n períodos anteriores al primer período de la proyección.
}
\examples{

nn=15
l.sup=PMortality(m.data.s,nn,reg="W")[[2]]
m=PMortalityReg(m.data,l.sup,relation,reg="W")
}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{PFertility}}, \code{\link[demogal]{PMortality}}.
}
\keyword{demography}

