% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/demogalProjection.R
\encoding{UTF-8}
\name{demogal.proj}
\alias{demogal.proj}
\title{Funci\enc{ó}{o}n principal que proyecta la poblaci\enc{ó}{o}n, nacimientos y defunciones}
\usage{
demogal.proj(nn, pop, b.data, m.data, emig.out, imig.out, emig.int = NULL,
  emig.intc = NULL, r = NULL, relation = NULL, m.data.s = NULL,
  pop.sup.pr = NULL, m.sup.pr = NULL, b.sup.pr = NULL, v = NULL,
  reg = "W")
}
\arguments{
\item{nn}{número de períodos que se van a proyectar.}

\item{pop}{data frame que contiene el espacio de proyección, el sexo, los extremos inferiores de los intervalos de edades, el tiempo y la población base de la proyección (espacio*sexo*edad*tiempo*poblacion).}

\item{b.data}{data frame que contiene el espacio de proyección, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los nacimientos para proyectar las tasas de fertilidad. Se necesitan n períodos de tiempo (espacio*edad*tiempo*poblacion*evento).}

\item{m.data}{data frame que contiene el espacio, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y las defunciones. Se necesitan n períodos de tiempo.}

\item{emig.out}{data frame que contiene el espacio, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los emigrantes al exterior (espacio*sexo*edad*tiempo*población*evento). Se necesita disponer de n períodos de tiempo.}

\item{imig.out}{data frame que contiene el espacio, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los inmigrantes procedentes del exterior (espacio*sexo*edad*tiempo*poblacion*evento).Se necesita disponer de n períodos de tiempo.}

\item{emig.int}{data frame que contiene el espacio de proyección, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y los emigrantes interiores (espacio*sexo*edad*tiempo*poblacion*evento). Se necesita disponer de n períodos de tiempo.}

\item{emig.intc}{data frame con la suma de los emigrantes interiores del espacio origen h al espacio destino k en los últimos n períodos (espacio origen*sexo*edad*espacio destino)}

\item{r}{data frame opcional que contiene el espacio de proyección, el sexo, los extremos inferiores de los intervalos de edades y la proporción de población promedio de los últimos n períodos de tiempo anteriores a la proyección que pasa de un grupo de edad a otro en el período siguiente (espacio*sexo*edad*proporción).}

\item{relation}{data frame opcional que contiene las relaciones jerárquicas entre el espacio de la proyección y el espacio superior (primera columna, el espacio de la proyección; segunda columna, el espacio superior al de proyección). Las etiquetas de las filas serán las etiquetas del espacio de proyección.}

\item{m.data.s}{data frame opcional que contiene el espacio superior, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y las defunciones para n períodos.}

\item{pop.sup.pr}{data frame opcional que contiene el espacio superior, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo y la población proyectada para el espacio superior (espacio superior*sexo*edad*tiempo*población).}

\item{m.sup.pr}{data frame opcional que contiene el espacio superior, el sexo, el período de tiempo y las defunciones proyectadas para el espacio superior (espacio superior*sexo*edad*tiempo*defunciones).}

\item{b.sup.pr}{data frame opcional que contiene el espacio superior, el sexo, el período de tiempo y los nacimientos proyectados para el espacio superior (espacio superior*sexo*tiempo*nacimientos).}

\item{v}{data frame opcional cuya primera columna es el espacio o el espacio superior y la segunda y sucesivas, los datos de la inmigración procedente del exterior para el período. Si la inmigración se considera constante durante todo el período de proyección es suficiente con introducir una columna.}

\item{reg}{valor alfanumérico de longitud 1 que indica el tipo de espacio bajo el que se aplican los valores de Coale-Demeny. Los valores posibles son W=OESTE, E=ESTE,
N=NORTE y S=SUR. Si no se especifica, se toma el valor W que es el que corresponde a España.}
}
\value{
population data frame con la población proyectada (espacio*sexo*edad*tiempo*poblacion)

births data frame con los nacimientos proyectados (espacio*sexo*tiempo*nacimientos)

deaths data frame con las defunciones proyectadas (espacio*sexo*edad*tiempo*defunciones)
}
\description{
Esta función proyecta la población, los nacimientos y las defunciones a partir de datos de población, nacimientos, defunciones y migración de períodos anteriores.
}
\examples{
nn=15
b=demogal.proj(nn,pop,b.data,m.data,emig.out,imig.out,emig.int,emig.intc,r=NULL,relation,m.data.s)
}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{PMortality}}, \code{\link[demogal]{PMortalityReg}}, \code{\link[demogal]{PFertility}}, \code{\link[demogal]{PFertilityReg}}.
}
\keyword{demography}

