% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mortable.r
\encoding{UTF-8}
\name{mortable}
\alias{mortable}
\title{Funci\enc{ó}{o}n que calcula la tabla de mortalidad}
\usage{
mortable(data, imn = NULL, tmi = NULL, sep = NULL,
  gedad = sort(unique(data[, 3])), reg = "W")
}
\arguments{
\item{data}{data frame que contiene el espacio, el sexo, los extremos inferiores de los intervalos de edades, el período de tiempo, la población y las defunciones (espacio*sexo*edad*tiempo*poblacion*evento).}

\item{imn}{data frame que contiene el período de tiempo, el espacio geográfico y el índice de masculinidad al nacimiento. Este argumento es necesario en el caso de no introducir los factores de separación.}

\item{tmi}{data frame que contiene el período de tiempo, el espacio geográfico, el sexo y la tasa 
de mortalidad infantil en tanto por uno. Si es nulo, se toman los valores aproximados a partir de las defunciones y la población del argumento data.}

\item{sep}{data frame que contiene el período de tiempo, el espacio geográfico, el sexo, 
el extremo inferior del intervalo de edad y los factores de separación. Si es nulo se toman los valores aproximados a partir de los tabulados por Coale-Demeny para los primeros intervalos y la mitad de la longitud del intervalo para el resto.}

\item{gedad}{vector que contiene el extremo inferior de los intervalos de edad. Si no se especifican, se toman los extremos inferiores de los intervalos de edades especificados en el data}

\item{reg}{valor alfanumérico de longitud 1 que indica el tipo de espacio bajo el que se aplican los valores de Coale-Demeny. Los valores posibles son W=OESTE, E=ESTE,
N=NORTE y S=SUR. Si no se especifica, se toma el valor W que es el que corresponde a España.}
}
\value{
resul array donde los elementos son las tablas de mortalidad correspondientes a los diferentes espacios, períodos y sexo
}
\description{
Esta función permite calcular las funciones de la tabla de mortalidad completa o abreviada por sexo,
para diferentes espacios geográficos y diferentes períodos de tiempo a partir de los datos 
de defunciones y población.
}
\examples{

tm=mortable(m.data)

}
\references{
Instituto Galego de Estatística
}
\seealso{
\code{\link[demogal]{PMortality}}, \code{\link[demogal]{PFertility}}.
}
\keyword{demography}

